Bug 695604

Summary: cannot change wireless security options of system-wide set connection in nm-connection-editor
Product: [Fedora] Fedora Reporter: Vratislav Podzimek <vpodzime>
Component: NetworkManagerAssignee: Dan Williams <dcbw>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 14CC: dcbw
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: NetworkManager-0.8.4-1.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-04-28 02:04:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Vratislav Podzimek 2011-04-12 07:17:01 UTC
Description of problem:
When I create a wireless connection using WEP encryption in nm-connection-editor and then I want to change its settings nm-connection-editor behaviour is quite weird:
a) after I enter the root password all options except those in the Wireless Security are inactive (grey) and become active only after I make some change (or e.g. retype password) in Wireless Security settings
b) if I change type of wireless encryption these changes are not saved by clicking the 'Save' button and the old values remain

Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.8.3.998-2.fc14.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Create a wireless WEP connection available to all users and close the connection editor
2. Try to change some settings of this connection in connection editor
3. Try to change type of wireless encryption used for this connection and save the new settings
4. By clicking at the 'Edit' button see that encryption settings didn't change
  
Actual results:
Type of encryption for system-wide connections cannot be changed.

Expected results:
It would be able to change the type of encryption of already existing system-wide connection

Comment 1 Vratislav Podzimek 2011-04-12 07:26:47 UTC
Problems with encryption type changing appears only when I want to change type to No Encryption, switching from WEP to WPA works.

Comment 2 Dan Williams 2011-04-19 22:43:08 UTC
Fixed upstream:

258912524e7a94bb7773200f02a5056a3b067796 (master)
db57dbd75d45f0f812daefcaba5cb1bc8ff5ffee (0.8.x)

thanks!  Should show up in the next Fedora 13, 14, and 15 updates.

Comment 3 Fedora Update System 2011-04-20 22:42:51 UTC
NetworkManager-0.8.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.4-1.fc14

Comment 4 Fedora Update System 2011-04-20 22:44:20 UTC
NetworkManager-0.8.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.4-1.fc13

Comment 5 Fedora Update System 2011-04-21 22:27:49 UTC
Package NetworkManager-0.8.4-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.4-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.4-1.fc14
then log in and leave karma (feedback).

Comment 6 Vratislav Podzimek 2011-04-27 11:02:16 UTC
Partialy working. See https://admin.fedoraproject.org/updates/NetworkManager-0.8.4-1.fc14 for additional info.

Comment 7 Dan Williams 2011-04-28 00:11:29 UTC
(In reply to comment #6)
> Partialy working. See
> https://admin.fedoraproject.org/updates/NetworkManager-0.8.4-1.fc14 for
> additional info.

Do you mean that taking an existing system WPA connection, changing encryption to None, hitting "Apply", then re-opening the connection, that the connection still is set to WPA?

Comment 8 Fedora Update System 2011-04-28 02:03:11 UTC
NetworkManager-0.8.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Vratislav Podzimek 2011-04-28 06:51:10 UTC
My apologize, it IS working now in 0.8.4-1.fc14. When I was testing it yesterday I only restarted applet and ran new connection-editor from it which was not enough. Today with complete restart of all NetworkManager stuff it works just fine. Great work!

Comment 10 Fedora Update System 2011-05-26 21:52:24 UTC
NetworkManager-0.8.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.